Skip to main content
POST
/
bookings
Create a booking
curl --request POST \
  --url https://api.rntor.com/v1/bookings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Client-ID: <api-key>' \
  --data '
{
  "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "start_time": "2023-11-07T05:31:56Z",
  "end_time": "2023-11-07T05:31:56Z",
  "title": "<string>",
  "notes": "<string>",
  "attendees": 123
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "resource_id": "4d91d4dd-1e55-5c61-9999-9ee36847163b",
    "customer_id": "5e02e5ee-2f66-6d72-0000-0ff47958274c",
    "location_id": "6f13f6ff-3g77-7e83-1111-1gg58069385d",
    "start_time": "2024-01-15T09:00:00Z",
    "end_time": "2024-01-15T10:00:00Z",
    "status": "confirmed",
    "title": "Team Meeting",
    "created_at": "2024-01-14T15:30:00Z",
    "updated_at": "2024-01-14T15:30:00Z"
  },
  "meta": {
    "request_id": "req_abc123def456",
    "timestamp": "2024-01-15T10:30:00Z"
  }
}

Authorizations

Authorization
string
header
required

Your API client secret

X-Client-ID
string
header
required

Your API client ID

Body

application/json
resource_id
string<uuid>
required
customer_id
string<uuid>
required
location_id
string<uuid>
required
start_time
string<date-time>
required
end_time
string<date-time>
required
title
string
notes
string
attendees
integer

Response

Booking created

data
object
meta
object